#pragma once


//
// YUV 4:2:0  RGB 24bits  ٲ۴
//  * yuv : Է YUV 
//  * rgb :  RGB 
//  * width :   ũ
//  * height :   ũ
void yuv420_rgb24(unsigned char *yuv, unsigned char *rgb, int width, int height);

//
// RGB 24 Ʈ   3D   RGB 24bits  .
//  * input_type & output_type
//     - 0 : side by side
//     - 1 : vertical line interleaved
//     - 2 : Frame sequential
//     - 3 : Left/Right
//     - 4 : top & bottom
//     - 5 : horizontal line interleaved
//  * width :    ũ
//  * height :    ũ
//  * rgb1 : Է 1 RGB 
//  * rgb2 : LR   2 RGB 
//  * rgb :  RGB 
void rgb24_3d(int input_type, int output_type, int width, int height, unsigned char *rgb1, unsigned char *rgb2, unsigned char *rgb);