#include "stdafx.h"

#ifdef _WIN32_WCE
#include "..\M3RMobile\MainFrm.h"
#elif _ACTIVEX
#include "..\Sputnik\SputnikCtrl.h"
#else
#include "MainFrm.h"
#endif


#ifdef _ACTIVEX
INT8 CChildView::DecodeLASeR()
#else
INT8 CMainFrame::DecodeLASeR()
#endif
{
	
	return 0;
}

UINT ThreadLASeRDecoder(LPVOID pParam)
{
#ifdef _ACTIVEX
	CChildView *pFrame = (CChildView *)pParam;
#else
	CMainFrame *pFrame = (CMainFrame *)pParam;
#endif

	INT8 err = 0;

	if (pFrame == NULL)
		return 0;

	// if the player is run
	while (pFrame->GetPlayerStatus() == PLAYER_PLAYING)
	{
		// the db's status is temporary empty
		if (pFrame->GetDBStatus() == BUFFER_TEMP_EMPTY)
			Sleep(0);

		// the db's status is end & empty
		else if (pFrame->GetDBStatus() == BUFFER_END)
		{
			g_cs.Lock();						// lock critical section

#ifdef _ACTIVEX
			pFrame->SetCBStatus(BUFFER_STREAM_END);
#else
			pFrame->m_wndView.SetCBStatus(BUFFER_STREAM_END);
#endif

			g_cs.Unlock();						// unlock critical section

			break;
		}

		// the db's status is normal
		else
		{
			err = pFrame->DecodeAVC();
			Sleep(uPictureDelta);

			// decoding err
			if (err != 0)
			{
#ifdef _ACTIVEX
				// 				pFrame->SetCBStatus(BUFFER_STREAM_END);
#else
				// 				pFrame->m_wndView.SetCBStatus(BUFFER_STREAM_END);
#endif

				// 				ErrorMessage(err);
				// 				return 0;
			}
		}
	}

	return 0;
}